VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "Form_MyFormName"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Option Compare Database
Option Explicit

' source:
'https://www.experts-exchange.com/videos/59452/Highlight-the-Current-Record-on-an-Access-form-with-a-Yellow-background-color.html
'
'set control to track primary key
'used in conditional formatting
' SUBSTITUTE name of YOUR control for MyPrimaryKey
Private Sub Form_Current()
'strive4peace ... 180921, 23
   With Me
      ' CurrentID is MyPrimaryKey
      ' If no value yet, use 0
      .CurrentID = Nz(.MyPrimaryKey, 0)
   End With
End Sub

' SUBSTITUTE name of YOUR control for MyFirstControl
'        and its description for MyFirstControlDescription

Private Sub txtHighlight_GotFocus()
'move to other control if highlight gets focus
   Me.MyFirstControl.SetFocus
End Sub

'======================================================================
'                             NEW RECORDS
Private Sub MyFirstControl_BeforeUpdate(Cancel As Integer)
's4p Ensure MyFirstControlDescription has a value
   With Me.MyFirstControl
      If IsNull(.Value) Then
         MsgBox "Pick a MyFirstControlDescription first" _
            , vbOKCancel _
            , "Choose MyFirstControlDescription"
         .Dropdown
         Cancel = True
      End If
   End With
End Sub

Private Sub MyFirstControl_AfterUpdate()
's4p. Set CurrentID to new primary key
   'if not on a new record, exit
   If Not Me.NewRecord Then Exit Sub
   With Me
      .CurrentID = .MyPrimaryKey
   End With
End Sub

Private Sub Form_Dirty(Cancel As Integer)
's4p. Ensure MyFirstControlDescription is first control filled
   If Me.NewRecord _
         And Me.CurrentID = 0 _
         And ActiveControl.Name <> "MyFirstControl" Then
      Cancel = True
      With Me.MyFirstControl
         .SetFocus
         MsgBox "pick a CUSTOMIZE MY DESCRIPTION first", , "Specify MyFirstControlDescription"
         .Dropdown
      End With
   End If
End Sub

'========================================================
'------------------------------------ Form_BeforeUpdate
Private Sub Form_BeforeUpdate(Cancel As Integer)
's4p. Set date/time record was edited
   Me.dtmEdit = Now
End Sub

'------------------------------------ DropMeIfNull
Public Function DropMeIfNull()
's4p. Drop list for Combo Box if null
' called on property sheet for GotFocus and MouseUp
   On Error Resume Next
   If IsNull(Screen.ActiveControl) Then
      Screen.ActiveControl.Dropdown
   End If
End Function
